/***********************************************************************

 SV1Codec environment configuration macros

 This file is a part of SV1Codec.
 SV1Codec is Copyright (C) 2002 by Marcin Grzegorczyk.
 See sv1codec.c for details.

 The code in this file is explicitly placed in the public domain.
 Use, abuse and redistribute freely.

***********************************************************************/

#ifndef SV1C_CFG_H
#define SV1C_CFG_H



/*****
 Each of these macros may be defined either by modifying this file,
 or via some compiler command-line switch (-Dmacro[=value] in some
 compilers, including gcc and the Borland compiler).
*****/

/*
 NDEBUG, of course, is undefined for debug builds
 and defined for release builds.
 (Refer to the documentation of the standard header <assert.h>.)
*/
/*// #define NDEBUG */


/*
 Define to skip the automatic detection (via __STDC_VERSION__)
 of a C99 compiler. See sv1codec.h for more information.
*/
/*// #define ASSUME_C90 */


/*
 Define if you know that your implementation has a C99-compliant <stdint.h>,
 but it does not report itself as C99 (via __STDC_VERSION__).
*/
/*// #define HAVE_STDINT_H */

/* If the name is not <stdint.h>, define this appropriately. */
/*// #define NAME_STDINT_H <stdint.h> */


/*
 Define if you know that your implementation has a C99-compliant <stdbool.h>,
 but it does not report itself as C99 (via __STDC_VERSION__).
*/
/*// #define HAVE_STDBOOL_H */

/* If the name is not <stdbool.h>, define this appropriately. */
/*// #define NAME_STDBOOL_H <stdbool.h> */


/*
 Boolean type. Leave undefined for automatic detection.
*/
/*// #define Bool bool */


/*
 Define to skip the automatic detection of compiler extensions.
 See sv1codec.h for more information.
*/
/*// #define NO_DETECT_CC */


/*
 Define to 0 if you wish to compile each file separately and then link
 them together, or to 1 if you intend sv1codec.c to include everything.
 If defined neither here nor on the command line, sv1codec.c will
 define it to 1.
*/
/*// #define SINGLE_TRANSLATION_UNIT 0 */



/***
 The following macros must be always defined, either here or on the
 command line.
***/

/*
 A string listing all characters that it is safe to use in file names,
 in addition to those listed by POSIX (see POSIX_SAFE_CHARS in sv1codec.h).
 Note that both '@' and '%' should NOT be included in this list.
*/
#ifndef SAFE_CHARS
#define SAFE_CHARS " !#$&'()+,.;=[]^_`{}~"  /* VFAT-compliant */
#endif


/*
 Define to 1 if it's safe to use 'high' (non-ASCII) characters in
 filenames by default (in other words, make -8 option the default;
 for details, see the IS_CHAR_HIGH_SAFE() macro below and the
 IsSafeChar() function in sv1misc.c).
*/
#ifndef SAFE_CHARS_HIGH
#define SAFE_CHARS_HIGH 0
#endif


/*
 Macro to test whether a non-ASCII character is filesystem-safe
*/
#ifndef IS_CHAR_HIGH_SAFE
#define IS_CHAR_HIGH_SAFE(c) ((unsigned char)(c) >= 160u)  /* Latin-1 assumed */
#endif


/*
 Characters used by the file-system to separate path elements
*/
#ifndef PATH_SEPARATORS
#define PATH_SEPARATORS ":/\\"
#endif


/*
 Default path separator. A slash happens to work both in Win32 and Unix.
*/
#ifndef DEFAULT_PATH_SEPARATOR
#define DEFAULT_PATH_SEPARATOR '/'
#endif


/*
 Default info and error message devices
*/
#ifndef DEFAULT_MSGOUT
#define DEFAULT_MSGOUT stdout
#endif
#ifndef DEFAULT_MSGERR
#define DEFAULT_MSGERR stderr
#endif



#endif  /* SV1C_CFG_H */

